CVE-2014-1491 Detail

Current Description

Mozilla Network Security Services (NSS) before 3.15.4, as used in Mozilla Firefox before 27.0, Firefox ESR 24.x before 24.3, Thunderbird before 24.3, SeaMonkey before 2.24, and other products, does not properly restrict public values in Diffie-Hellman key exchanges, which makes it easier for remote attackers to bypass cryptographic protection mechanisms in ticket handling by leveraging use of a certain value.


View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score:  N/A
NVD score not yet provided.


NVD Analysts use publicly available information to associate vector strings and CVSS scores. We also display any CVSS information provided within the CVE List from the CNA.

Note: NVD Analysts have not published a CVSS score for this CVE at this time. NVD Analysts use publicly available information at the time of analysis to associate CVSS vector strings.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://hg.mozilla.org/projects/nss/rev/12c42006aed8 Patch  Vendor Advisory 
http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10761 Third Party Advisory 
http://lists.fedoraproject.org/pipermail/package-announce/2014-February/127966.html Third Party Advisory 
http://lists.fedoraproject.org/pipermail/package-announce/2014-February/129218.html Third Party Advisory 
http://lists.opensuse.org/opensuse-security-announce/2014-02/msg00004.html Mailing List  Third Party Advisory 
http://lists.opensuse.org/opensuse-security-announce/2014-02/msg00005.html Mailing List  Third Party Advisory 
http://lists.opensuse.org/opensuse-security-announce/2014-02/msg00010.html Mailing List  Third Party Advisory 
http://lists.opensuse.org/opensuse-security-announce/2014-03/msg00017.html Mailing List  Third Party Advisory 
http://seclists.org/fulldisclosure/2014/Dec/23 Not Applicable 
http://secunia.com/advisories/56858 Third Party Advisory 
http://secunia.com/advisories/56888 Third Party Advisory 
http://secunia.com/advisories/56922 Third Party Advisory 
http://www.debian.org/security/2014/dsa-2858 Third Party Advisory 
http://www.debian.org/security/2014/dsa-2994 Third Party Advisory 
http://www.mozilla.org/security/announce/2014/mfsa2014-12.html Third Party Advisory  Vendor Advisory 
http://www.oracle.com/technetwork/topics/security/cpujan2015-1972971.html Third Party Advisory 
http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html Third Party Advisory 
http://www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html Third Party Advisory 
http://www.oracle.com/technetwork/topics/security/cpuoct2014-1972960.html Third Party Advisory 
http://www.oracle.com/technetwork/topics/security/ovmbulletinjul2016-3090546.html Third Party Advisory 
http://www.securityfocus.com/archive/1/534161/100/0/threaded Not Applicable 
http://www.securityfocus.com/bid/65332 Third Party Advisory  VDB Entry 
http://www.securitytracker.com/id/1029717 Third Party Advisory  VDB Entry 
http://www.securitytracker.com/id/1029720 Third Party Advisory  VDB Entry 
http://www.securitytracker.com/id/1029721 Third Party Advisory  VDB Entry 
http://www.ubuntu.com/usn/USN-2102-1 Third Party Advisory 
http://www.ubuntu.com/usn/USN-2102-2 Third Party Advisory 
http://www.ubuntu.com/usn/USN-2119-1 Third Party Advisory 
http://www.vmware.com/security/advisories/VMSA-2014-0012.html Not Applicable 
https://bugzilla.mozilla.org/show_bug.cgi?id=934545 Exploit  Issue Tracking  Patch  Vendor Advisory 
https://exchange.xforce.ibmcloud.com/vulnerabilities/90886 Third Party Advisory  VDB Entry 
https://security.gentoo.org/glsa/201504-01 Third Party Advisory 

Weakness Enumeration

CWE-ID CWE Name Source
CWE-326 Inadequate Encryption Strength cwe source acceptance level NIST  

Known Affected Software Configurations Switch to CPE 2.2

CPEs loading, please wait.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

15 change records found show changes

Quick Info

CVE Dictionary Entry:
CVE-2014-1491
NVD Published Date:
02/06/2014
NVD Last Modified:
07/31/2020
Source:
MITRE